package com.ruoyi.mybasic.mapper;

import com.ruoyi.common.core.domain.R;
import com.ruoyi.mybasic.common.domain.request.BankId;
import com.ruoyi.mybasic.common.domain.request.InvitationRecordRequest;
import com.ruoyi.mybasic.common.domain.request.MoneyTypeRequest;
import com.ruoyi.mybasic.common.domain.request.PurseRequest;
import com.ruoyi.mybasic.common.domain.response.*;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * @ClassName purseMapper
 * @Description 描述
 * @Author WenHao.Sao
 */
@Mapper
public interface PurseMapper {


    List<MoneyLogsResponse> moneyList(@Param("userId") String userId);

    List<MoneyWithdrawResponse> moneyWithdrawLog(@Param("userId") String userId);

    void addMoneyWithdraw(MoneyWithdrawResponse moneyWithdraw);

    List<BankResponse> bankId(String userId);

    List<InvitationRecordRequest> in(InvitationRecordRequest invitationRecord);

    void updInviter(long inviterId);

    void updInvitee(long inviteeId);

//    void addmonyRecord(@Param("s") String s);

    void addmonyRecord1(MoneyLogsResponse moneyLogs);

    List<MoneyTypeRequest> moneyTypeList(@Param("userId") String userId);

    PurseResponse show(@Param("userId") String userId);

    Integer updPurse(PurseRequest purseRequest);

    BankId bankNumBank(@Param("id") long id);


    PurseResponse updPurseBalanceFee(PurseRequest purse);

    BankResponse bankIdUserId(@Param("userId") String userId);

    BankResponse selBankNumBank(@Param("bankId") int bankId);

    Integer updBankNumBank(PurseRequest purse);

    Integer topUp(BankId bankId);

    //根据id获取到银行卡的对象
    BankId selectBank(@Param("id") long id);


    Integer updBank(BankId bankId);

    Integer updPurseAmount(BankId bankId);
}
