package com.ruoyi.mybasic.service;

import com.ruoyi.common.core.domain.R;
import com.ruoyi.mybasic.common.domain.*;
import com.ruoyi.mybasic.common.domain.request.BankId;
import com.ruoyi.mybasic.common.domain.request.InvitationRecordRequest;
import com.ruoyi.mybasic.common.domain.request.MoneyTypeRequest;
import com.ruoyi.mybasic.common.domain.request.PurseRequest;
import com.ruoyi.mybasic.common.domain.response.*;
import org.apache.ibatis.annotations.Param;
import org.springframework.web.multipart.MultipartFile;

import java.util.List;

/**
 * @ClassName PurseService
 * @Description 描述
 * @Author WenHao.Sao
 */
public interface PurseService {

    R<PurseResponse> show(@Param("userId") String userId);

    R upload(MultipartFile file);

    R<List<MoneyLogsResponse>> moneyList(@Param("userId") String userId);

    R<List<MoneyTypeRequest>> moneyTypeList(@Param("userId") String userId);

    R<List<MoneyWithdrawResponse>> moneyWithdrawLog(@Param("userId") String userId);

    R<Integer> topUp(BankId bankId);

    R<List<InvitationRecordRequest>> in(InvitationRecordRequest invitationRecord);

    R updPurse(PurseRequest purseRequest);

    R<List<BankResponse>> bankId(String userId);

    R<BankResponse> bankIdUserId(@Param("userId") String userId);

    R purseWithdraw(BankId bankId);
}
