package com.ruoyi.mybasic.common.domain;

import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.Data;
import org.springframework.format.annotation.DateTimeFormat;

import java.util.Date;

/**
 * 钱包表
 * @author Lou_Zs
 */
@Data
public class Purse {


    /**
     * 钱包编号
     */
    private Integer userId;
    /**
     * 钱包总收入
     */
    private double walletIncome;
    /**
     * 钱包总支出
     */
    private double walletOutcome;
    /**
     * 钱包可用余额
     */
    private double balanceFee;
    /**
     * 修改时间
     */
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss",timezone = "GMT+8")
    private Date updateTime;

}
