package com.ruoyi.mybasic.common.domain;

import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.Data;
import org.springframework.format.annotation.DateTimeFormat;

import java.util.Date;

/**
 * 支出收入流水记录
 * @author Lou_Zs
 */
@Data
public class UserMoneyLogs {


    /**
     * 记录主建
     */
    private Integer id;
    /**
     * 状态
     * 1:支出
     * 2:收入
     */
    private Integer status;
    /**
     * 详情
     */
    private String moneyTypeName;
    /**
     * 钱包主建
     */
    private Integer userId;
    /**
     * 具体金额
     */
    private Integer amountIncome;

    //审计字段

    /**
     * 创建时间
     */
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss",timezone = "GMT+8")
    private Date createTime;


}
