package com.ruoyi.mybasic.mapper;


import com.ruoyi.mybasic.common.domain.UserMoneyLogs;
import com.ruoyi.mybasic.common.domain.request.InvitationRecordRequest;
import com.ruoyi.mybasic.common.domain.request.PurseRequest;
import com.ruoyi.mybasic.common.domain.request.RequestInvitationRecord;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * @ClassName InvitationMapepr
 * @Description 描述
 * @Author WenHao.Sao
 */
@Mapper
public interface InvitationMapper {
    List<InvitationRecordRequest> show(@Param("userId") String userId);

    PurseRequest Inviteramount(long inviterId);

    PurseRequest Inviteeamount(long inviteeId);

    /**
     * 邀请记录新增
     * @param requestInvitationRecord
     */
    int insertInvitationRecord(RequestInvitationRecord requestInvitationRecord);

    /**
     * 修改钱包信息
     * @param userId
     */
    int updateUserPurse(@Param("userId") Integer userId);


    int insertUserMoneyLogs(UserMoneyLogs userMoneyLogs);
}
