package com.ruoyi.mybasic.mapper;

import com.ruoyi.common.core.domain.R;
import com.ruoyi.mybasic.common.domain.request.MoneyLogsRequest;
import com.ruoyi.mybasic.common.domain.request.PurseRequest;
import com.ruoyi.mybasic.common.domain.response.PurseResponse;
import io.swagger.models.auth.In;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

/**
 * @ClassName PurseMapperTwo
 * @Description 描述
 * @Author WenHao.Sao
 */
@Mapper
public interface PurseMapperTwo {

    //根据当前登录人的userId获取到钱包的对象
    PurseResponse purseObject(@Param("userId") Long userId);

    //添加记录表
    void addMoneyLogs(MoneyLogsRequest moneyLogsRequest);

    //支出
    void updPurseIn(PurseRequest purseRequest);
    //收入
    void updPurseOut(PurseRequest purseRequest);

    //根据当前userId添加钱包
    Integer addPurse(PurseRequest purseRequest);

    //查询钱包里面的用户id
    Integer purseUserId(@Param("userId") String userId);

}
